<PGTemplate>
   <Category>
      <Name>Object</Name>
      <PGItems>
         <Item>
            <Name>Name</Name>
            <Type>string</Type>
            <Constraints>object_name</Constraints>
         </Item>
         <Item>
            <Name>VideoFile</Name>
            <Type>file_browse</Type>
            <Constraints>Videos</Constraints>
         </Item>
         <Item>
            <Name>StageColor</Name>
            <Type>color</Type>
            <Constraints/>
         </Item>
         <Item>
            <Name>VideoScalingMode</Name>
            <Type>combo</Type>
            <Constraints>Stretch,Maintain Aspect</Constraints>
         </Item>
      </PGItems>
   </Category>
   <Category>
      <Name>Control Panel</Name>
      <PGItems>
         <Item>
            <Name>ControlStyle</Name>
            <Type>file_combo</Type>
            <Constraints>\Plugins\Transports,png,vt_,None,Standard</Constraints>
         </Item>
         <Item>
            <Name>Time</Name>
            <Type>combo</Type>
            <Constraints>None,Elapsed,Length,Both</Constraints>
         </Item>
         <Item>
            <Name>PanelColor</Name>
            <Type>color</Type>
            <Constraints/>
         </Item>
         <Item>
            <Name>TextColor</Name>
            <Type>color</Type>
            <Constraints/>
         </Item>
         <Item>
            <Name>ControlButtons</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>Slider</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
      </PGItems>
   </Category>
   <Category>
      <Name>Special</Name>
      <PGItems>
         <Item>
            <Name>AutoStart</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>Loop</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>Border</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
      </PGItems>
   </Category>
   <Category>
      <Name>ObjectMask</Name>
      <PGItems>
         <Item>
            <Name>ApplyWindowMask</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>FitToObject</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>MaskFile</Name>
            <Type>file_browse</Type>
            <Constraints>Images:Window Masks</Constraints>
         </Item>
      </PGItems>
   </Category>
   <Category>
      <Name>Attributes</Name>
      <PGItems>
         <Item>
            <Name>Enabled</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>Visible</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>Cursor</Name>
            <Type>combo</Type>
            <Constraints>Arrow,Hand,Black Arrow,Crosshair,Explore,Help,Magnify,Media,Money,Notepad,Pencil,Printer,Speaker,Up Arrow</Constraints>
         </Item>
      </PGItems>
   </Category>
   <Category>
      <Name>Position</Name>
      <PGItems>
         <Item>
            <Name>Left</Name>
            <Type>number</Type>
            <Constraints>-2000,2000</Constraints>
         </Item>
         <Item>
            <Name>Top</Name>
            <Type>number</Type>
            <Constraints>-2000,2000</Constraints>
         </Item>
         <Item>
            <Name>Width</Name>
            <Type>number</Type>
            <Constraints>0,2000</Constraints>
         </Item>
         <Item>
            <Name>Height</Name>
            <Type>number</Type>
            <Constraints>0,2000</Constraints>
         </Item>
      </PGItems>
   </Category>
   <Category>
      <Name>Auto-Resize</Name>
      <PGItems>
         <Item>
            <Name>ResizeLeft</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>ResizeRight</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>ResizeTop</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>ResizeBottom</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
      </PGItems>
   </Category>
   <Category>
      <Name>Sounds</Name>
      <PGItems>
         <Item>
            <Name>HighlightSound</Name>
            <Type>combo</Type>
            <Constraints>None,Standard,Custom</Constraints>
         </Item>
         <Item>
            <Name>HighlightFile</Name>
            <Type>file_browse</Type>
            <Constraints>Audio:Sound Effects</Constraints>
         </Item>
         <Item>
            <Name>ClickSound</Name>
            <Type>combo</Type>
            <Constraints>None,Standard,Custom</Constraints>
         </Item>
         <Item>
            <Name>ClickFile</Name>
            <Type>file_browse</Type>
            <Constraints>Audio:Sound Effects</Constraints>
         </Item>
      </PGItems>
   </Category>
</PGTemplate>
